From: Greg KH <greg@kroah.com>
To: torvalds@transmeta.com
Cc: linux-usb-devel@lists.sourceforge.net
Subject: [PATCH 4 of 6] USB include file removal

Hi,

Here's a patch against 2.5.3-pre2 that removes the usbdev_fs_i.h and
usbdev_fs_sb.h files from the include/linux directory as they are no
longer needed or used.

thanks,

greg k-h



diff -Naur -X /home/greg/linux/dontdiff linux-2.5.3-pre2/include/linux/usbdev_fs_i.h linux-2.5.3-pre2-greg/include/linux/usbdev_fs_i.h
--- linux-2.5.3-pre2/include/linux/usbdev_fs_i.h	Mon Jan 10 11:32:48 2000
+++ linux-2.5.3-pre2-greg/include/linux/usbdev_fs_i.h	Wed Dec 31 16:00:00 1969
@@ -1,11 +0,0 @@
-struct usb_device;
-struct usb_bus;
-
-struct usbdev_inode_info {
-	struct list_head dlist;
-	struct list_head slist;
-	union {
-		struct usb_device *dev;
-		struct usb_bus *bus;
-	} p;
-};
diff -Naur -X /home/greg/linux/dontdiff linux-2.5.3-pre2/include/linux/usbdev_fs_sb.h linux-2.5.3-pre2-greg/include/linux/usbdev_fs_sb.h
--- linux-2.5.3-pre2/include/linux/usbdev_fs_sb.h	Tue May 22 10:25:36 2001
+++ linux-2.5.3-pre2-greg/include/linux/usbdev_fs_sb.h	Wed Dec 31 16:00:00 1969
@@ -1,13 +0,0 @@
-struct usbdev_sb_info {
-	struct list_head slist;
-	struct list_head ilist;
-	uid_t devuid;
-	gid_t devgid;
-	umode_t devmode;
-	uid_t busuid;
-	gid_t busgid;
-	umode_t busmode;
-	uid_t listuid;
-	gid_t listgid;
-	umode_t listmode;
-};
